test_that("creer_CARTE_1_7 produit un graphique ggplot pour la région Pays de la Loire", {

  # Test que la carte est un ggplot
  objet <- creer_carte_1_7(millesime_ocsge = 2016, code_reg = '52')
  testthat::expect_equal(attr(objet, "class"), c("gg","ggplot"))

})


test_that("creer_CARTE_1_7 ne produit rien hors de la région Pays de la Loire", {

  # Test que la fonction renvoie NULL
  objet <- creer_carte_1_7(millesime_ocsge = 2016, code_reg = '53')
  testthat::expect_equal(attr(objet, "class"), NULL)

})
